# syntax=docker/dockerfile:1
FROM python:3
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1
WORKDIR /plc-connector

COPY ./plc-connector/requirements.txt /plc-connector/requirements.txt

RUN pip install -r requirements.txt
COPY ./plc-connector /plc-connector/

EXPOSE 102

CMD ["python3", "main.py", "2>&1"]